12 April 2014: The OpenOffice Wiki is not, and never was, affected by the heartbleed bug. Users' passwords are safe and wiki users do not need take any actions.

Build Requirements

From Apache OpenOffice Wiki
Jump to: navigation, search
[[{{{PrevPage}}}|< Previous Page

]]

[[{{{NextPage}}}|Next Page
>]]

OpenOffice.org officially supports the following platforms.

System Architecture
Windows x86
Linux x86, x86 64
Mac OS X Intel
Solaris x86, SPARC

General build requirements

Requirement Description
Java JDK Java implementation compatible with JDK 1.5 or JDK 1.6. OpenJDK is supported as well.
Perl Perl 5. For the regular build, Mdiles Archive:Zip (rpm:perl-Archive-Zip) and XML:Parser (rpm:perl-XML-Parser) are required. For committing changes to the repository, Crypt:SSLeay and SOAP:Lite are also required.
CUPS cups headers. Provided by a cups-devel package or a libcups2-devel
PAM PAM support. Provided by a pam-devel package or a libpam-dev
Apache Ant Ant 1.7
Archiver zip and unzip
gperf gperf tool
Mozilla1 Some Mozilla libraries are needed. Choose one of the following:
  • Get the source from here.2
  • Get prebuild libraries from here.3
NSS4 Mozilla build tools5 are needed for Windows. They can be obtained here.

Notes:

  1. If you are a new developer, don't use the libraries. By using the --disable-mozilla switch for ./configure, you waive the extra functionality.
  2. Copy the package into $SRC_ROOT/moz/download. The ./configure script will detect the source being present.
  3. You have to configure with --disable-build-mozilla to enable the use of the prebuild libraries. Place LINUXGCCI{inc,lib,runtime}.zip into $SRC_ROOT/moz/zipped. The files can be reused if the packages were build following the instructions of the previous point. In the latter case, they can be found in $SRC_ROOT/moz/unxlngi6.pro of a successful build.
  4. The nss module will be introduced in DEV300m57. nss contains a subset of libraries from Mozilla (the moz module). They are supposed to be more current then those in the moz module. To prevent building nss and instead of using the libraries from the moz module, one can use the configure switch --disable-nss-module. This switch will be removed soon!
  5. Use the configure switch --with-mozilla-build to tell configure where the tools are installed. For example: --with-mozilla-build=c:/mozilla-build

Platform specific requirements

Platform specific requirements are covered in each building instruction.

Content on this page is licensed under the Public Documentation License (PDL).
Personal tools